ilch Forum » Allgemein » HTML, PHP, SQL,... » php 7.4 und php 8.3 unterschied ?

Geschlossen
  1. #1
    User Pic
    ht-clan Mitglied
    Registriert seit
    10.03.2020
    Beitrge
    73
    Beitragswertungen
    6 Beitragspunkte
    Hallo ihr lieben ich bins nochmal ,Sorry fals ich nerve

    Also meine Website geht wieder mit php 8.3 danke nochmal an Blackcoder für die hilfe.


    Allerdings habe ich immer noch das Problem mit der Amxbans webseite unseres Servers.

    Dies ist lediglich eine website wo banns eintragen kann und löschen kann über die weboberfläche nicht umständlich über die Datenbank phpmyadmin.


    Seit dem update auf 8.3 bekomme ich nur den fehler :
    ZitatZitat
    Diese Seite funktioniert nichtht-clan.de kann diese Anfrage momentan nicht verarbeiten.
    HTTP ERROR 500


    Die version die wir haben ich die 6.14.4 und diese wurde glaube für php 5.4 endwickelt. Aber lief auf 7.4 auch noch ohne probleme .

    Ich habe bereits versucht dieses neu zu Installieren allerdings sobald ich bei der installation die datenbank usw. angebe geht er nicht mehr weiter und wenn ich dort auf Check datenbank klicke kommt wie oben beschrieben auch der fehler 500. Also bekomme keine neu install hin .


    Das ganze Funktioniert noch im hintergrund aber kein zugriff mehr auf die Oberfläche. kann mir da jemand helfen oder mir sagen was so anders an php 8.3 geworden ist ?


    Hier gibt es amxbans zum runterladen : github.com/RedSprend/AMXBans


    Vielen dank erstmal für eure Aufmerksamkeit


    verwendete ilch Version: 2.1.x

    betroffene Homepage: ht-clan.de
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beitrge
    2.357
    Beitragswertungen
    372 Beitragspunkte
    Moin,

    ich kenne AMXBans nicht, aber bei einer kurzen Suche ist mir aufgefallen, dass die offizielle Seite amxbans.net gar nicht mehr existiert.

    Beim GitHub Repo, welches du verlinkt hast, wurde seit zwei Jahren nichts mehr gemacht.
    github.com/RedSprend/AMXBans

    Hier ist noch ein Repo, wo noch ein bisschen Leben drin ist, aber ich weiß nicht, ob es kompatibel mit deinen vorhandenen Tabellen in der Datenbank ist und ob es mit PHP 8.3 laufen würde.
    github.com/leszcz/amxbans-php7

    Generell scheint AMXBans ziemlich tot zu sein.

    ZitatZitat
    kann mir da jemand helfen oder mir sagen was so anders an php 8.3 geworden ist ?

    PHP 8.3
    www.php.net/archive/2023.php#2023-11-23-2

    PHP 8.2
    www.php.net/archive/2022.php#2022-12-08-1

    PHP 8.1
    www.php.net/archive/2021.php#2021-11-25-1

    PHP 8.0
    www.php.net/archive/2020.php#2020-11-26-3

    PHP 7.4
    www.php.net/archive/2019.php#2019-11-28-1

    Wir haben über die Jahre Ilch immer wieder angepasst, damit es kompatibel ist mit den neueren Versionen von PHP und natürlich auch um von den Verbesserungen der neueren Versionen von PHP zu profitieren. Wenn dies im Falle von AMXBans nicht mehr gemacht wird, kann dies natürlich dazu führen, dass es nicht mehr läuft.

    Du könntest auf deinen Server in die error.log gucken. Die sollte bei Debian 10 hier zu finden sein:
    /var/log/apache2/error.log

    Vielleicht findest du dort die Ursache, wieso AMXBans nicht mehr funktioniert.

    Ansonsten solltest du, wie ich im anderen Thema geschrieben haben, einen Wechsel auf eine neuere Debian Version einplanen. Ende Juni ist bei Debian 10 Schluss. Debian 11 (PHP 7.4) wird noch bis Mitte 2026 mit Updates versorgt. Debian 12 (PHP 8.2) noch deutlich länger.
    Wenn du weißt, dass AMXBans mit PHP 7.4 noch läuft, könntest du zurück zu PHP 7.4 wechseln und kannst das dann vielleicht noch (auch mit Debian 11) bis Mitte 2026 so weiter laufen lassen.

    Gruß
    blackcoder
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    ht-clan Mitglied
    Registriert seit
    10.03.2020
    Beitrge
    73
    Beitragswertungen
    6 Beitragspunkte
    Ok danke für deine mühen Blackcoder

    Habe jetzt auf V-Server erstmal php8.3 laufen und auf unserem anderen Root das amxbans mit php7.4 laufen .
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurck zu HTML, PHP, SQL,...

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten